<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<p-confirmDialog [key]="key" appendTo="body">
  <ng-template pTemplate="message" let-message>
    <div class="text-text-500 text-base mt-4">
      <div class="flex items-center justify-center gap-4 w-[480px]">
        <i class="pi pi-exclamation-triangle text-yellow" style="font-size: 2rem"></i>
        <div class="text-center">{{ warningMessage }}</div>
      </div>
      <div class="w-full flex items-center justify-center pb-8">
        <div class="font-semibold w-96 mt-12 text-center bg-dialogGrey rounded-sm px-8 py-4">{{ callToActionMessage }}</div>
      </div>
    </div>
  </ng-template>
</p-confirmDialog>
